site_name: Flywheel Gear Toolkit
repo_url: https://gitlab.com/flywheel-io/public/gear-toolkit.git
edit_uri: ""
site_dir: public
plugins:
  - fw-docs
  - search
  - minify:
      minify_html: true
nav:
  - index.md
  - Context: flywheel_gear_toolkit/context.md
  - Utilities: flywheel_gear_toolkit/utils.md
  - Testing: flywheel_gear_toolkit/testing.md
  - Release Notes: flywheel_gear_toolkit/release.md
theme:
  name: material
  favicon: assets/images/trademark.svg
  logo: assets/images/logo.svg
  custom_dir: docs/overrides
  features:
    - navigation.indexes
    - content.code.annotate
  palette:
    - accent: amber
      scheme: slate
      toggle:
        icon: material/lightbulb-outline
        name: Switch to light mode
    - accent: amber
      scheme: default
      toggle:
        icon: material/lightbulb
        name: Switch to dark mode
extra_css:
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/custom.css
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/asciinema-player.css
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/asciinema-theme.css
extra_javascript:
  - https://cdn.jsdelivr.net/npm/ansi_up@5.1.0/ansi_up.min.js
  - https://cdn.flywheel.io/static/mkdocs/javascripts/ansi-renderer.js
  - https://cdn.flywheel.io/static/mkdocs/javascripts/asciinema-player.js
markdown_extensions:
  - pymdownx.highlight
  - pymdownx.inlinehilite
  - pymdownx.superfences
  - pymdownx.snippets
  - pymdownx.details
  - admonition
